---
title: sleep
type: processor
status: stable
categories: ["Utility"]
---

<!--
     THIS FILE IS AUTOGENERATED!

     To make changes please edit the contents of:
     lib/processor/sleep.go
-->

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';


Sleep for a period of time specified as a duration string. This processor will
interpolate functions within the `duration` field, you can find a list
of functions [here](/docs/configuration/interpolation#bloblang-queries).

```yaml
# Config fields, showing default values
label: ""
sleep:
  duration: 100us
```

This processor executes once per message batch. In order to execute once for
each message of a batch place it within a
[`for_each`](/docs/components/processors/for_each) processor:

```yaml
pipeline:
  processors:
    - for_each:
      - sleep:
          duration: ${! meta("sleep_for") }
```

## Fields

### `duration`

The duration of time to sleep for each execution.
This field supports [interpolation functions](/docs/configuration/interpolation#bloblang-queries).


Type: `string`  
Default: `"100us"`  


